Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pokersource.enumerate
Class SAIE

    java.lang.Object
      org.pokersource.enumerate.SAIE

    public class SAIE

extends java.lang.Object

Algorithms for computing subjective all-in subjectiveAllinEquity. SAIE is a player's pot subjectiveAllinEquity given particular beliefs about the possible hands of the opponent(s) and assuming no further betting. Beliefs about an opponent's hand distribution are represented by a BeliefVector object which maps each possible opponent hand to the probability of its occurrence.

Author:
  Michael Maurer <mjmaurer@yahoo.com>

Constructor Summary
`private` | `SAIE()`

Method Summary
`private static void` | `accumulateOrderings(java.util.Map orderings, int[][] orderKeys, int[] orderVals)`
`static void` | `FlopGameSAIE(int gameType, int nmatchups, int noutcomes, BeliefVector[] handDistribs, long board, long dead, double[] ev, java.util.Map matchups, java.util.Map orderings)` Compute the subjective all-in subjectiveAllinEquity of each player based on a belief distribution for each player's hands.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAIE

    private SAIE()

Method Detail

### accumulateOrderings

    private static void accumulateOrderings(java.util.Map orderings,
                                            int[][] orderKeys,
                                            int[] orderVals)

### FlopGameSAIE

    public static void FlopGameSAIE(int gameType,
                                    int nmatchups,
                                    int noutcomes,
                                    BeliefVector[] handDistribs,
                                    long board,
                                    long dead,
                                    double[] ev,
                                    java.util.Map matchups,
                                    java.util.Map orderings)

  Compute the subjective all-in subjectiveAllinEquity of each player based on a belief distribution for each player's hands. Typical usage is to fix one player's cards and allow the other players' cards to range over a distribution; however, it is valid for all players to have multiple possible hands.

  Parameters:
    `gameType` - One of Enumerate.GAME_HOLDEM, etc.
    `nmatchups` - number of matchups to sample (if zero, full enumeration) [Note: matchups are counted before they are tested for feasibility, that is, whether they share cards. So the total number of matchups that contribute to the SAIE estimate may be less than nmatchups.]
    `noutcomes` - number of boards to sample for each matchup (if zero, full enumeration)
    `handDistribs` - the hand distribution belief vector for each player
    `board` - bitmask of cards already dealt to board (can be zero)
    `dead` - bitmask of cards that cannot appear in any hand or on the board (can be zero)
    `ev` - output: ev[i] player i's all-in pot subjectiveAllinEquity
    `matchups` - output: map of {HandMatchup, MatchupOutcome} pairs, one for each matchup. Skipped if matchups is null.
    `orderings` - output: map of {RankOrdering, Integer} pairs. Skipped if orderings is null.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD